/*
 *	The PCI Library -- System-Dependent Stuff
 *
 *	Copyright (c) 1997--2020 Martin Mares <mj@ucw.cz>
 *
 *	Can be freely distributed and used under the terms of the GNU GPL v2+
 *
 *	SPDX-License-Identifier: GPL-2.0-or-later
 */

#ifdef __GNUC__
#define UNUSED __attribute__((unused))
#define NONRET __attribute__((noreturn))
#define FORMAT_CHECK(x,y,z) __attribute__((format(x,y,z)))
#else
#define UNUSED
#define NONRET
#define FORMAT_CHECK(x,y,z)
#define inline
#endif

typedef u8 byte;
typedef u16 word;

#include <endian.h>
#define cpu_to_le16 htole16
#define cpu_to_le32 htole32
#define le16_to_cpu le16toh
#define le32_to_cpu le32toh

